#!/bin/bash

TASK=game

echo "Generating tests"
python ./gen.py

cp ../"$TASK"_ak_dpr.dpr .

echo "Compiling solution"
fpc "$TASK"_ak_dpr.dpr

echo "Generating answers"
for i in ??
do
	echo -ne "[$i]"
	cp $i "$TASK".in
	./"$TASK"_ak_dpr 2>/dev/null
	mv "$TASK".out $i.a
done

